package com.zioinfo.mall.transfer.mapper;

import com.zioinfo.mall.transfer.MallTransfer;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TransferMapper {
    List<MallTransfer> findAll(@Param("status") String status, @Param("storeId") Long storeId);
    MallTransfer findById(@Param("id") Long id);
    int insert(MallTransfer t);
    int updateStatus(@Param("id") Long id, @Param("status") String status, @Param("approvedBy") String approvedBy);
}
